# $Revision: 1.15 $, $Date: 2002/11/08 13:56:35 $
%include        /usr/lib/rpm/macros.php
%define		_class		Log
%define		_pearname	%{_class}
Summary:	%{_pearname} - php pear logging utilities
Summary(pl):	%{_pearname} - klasa z narzdziami logujcymi
Name:		php-pear-%{_pearname}
Version:	1.5
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Log framework provides an abstracted logging system. It supports
logging to console, file, syslog, SQL, mail and mcal targets. It also
provides a subject - observer mechanism.

%description -l pl
Klasa Log daje abstrakcyjny system logowania. Obsuguje logowanie do
pliku, na konsol, do sysloga, bazy SQL, poczt oraz celw mcal. Dostarcza
take mechanizm subject - observer.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_pearname}

install %{_pearname}-%{version}/*.php $RPM_BUILD_ROOT%{php_pear_dir}
install %{_pearname}-%{version}/%{_pearname}/*.php $RPM_BUILD_ROOT%{php_pear_dir}/%{_pearname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{php_pear_dir}/%{_pearname}
%{php_pear_dir}/*.php
%{php_pear_dir}/%{_pearname}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Log.spec,v $
Revision 1.15  2002/11/08 13:56:35  blues
- 1.5 - some bugfixes - STBR

Revision 1.14  2002/10/14 23:45:03  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.13  2002/09/30 15:36:49  blues
- 1.4 - STBR

Revision 1.12  2002/09/15 22:16:39  blues
- 1.3 - STBR

Revision 1.11  2002/09/08 15:03:04  blues
- fix in macros

Revision 1.10  2002/07/27 13:19:28  blues
- 1.2
STBR

Revision 1.9  2002/07/12 23:44:28  blues
- release 3 (rebuild with new rpm)
- fit to other classes

Revision 1.8  2002/07/04 22:28:44  blues
- release 2

Revision 1.7  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.6  2002/06/30 12:25:14  qboosh
- better pl

Revision 1.5  2002/06/24 11:46:14  blues
- new rpm-automate (BR added)

Revision 1.4  2002/05/23 14:37:22  blues
- removed installing package in pear database.
STBR

Revision 1.3  2002/05/22 17:01:14  blues
- small fix in prep. NFY

Revision 1.2  2002/05/20 15:26:07  blues
- changed instalation in pre/post - causes existing modules in pear
database. Not nice but working solution... who knows better?

Revision 1.1  2002/05/20 14:26:35  blues
- pear Log class. First pear class...
